import BaseCurdApi from './BaseCurdApi'
import QsUtil from '@@/utils/QsUtil'

class TagApplyApi extends BaseCurdApi {
  importData = (data) => {
    const formData = new FormData()
    formData.append('file', data.file)
    return this.api({
      url: `${this.basePath}/data/import`,
      method: 'POST',
      data: formData,
      headers: {
        'Content-Type': 'multipart/form-data'
      }
    })
  }

  downloadTemplate = (query) => this.api({
    url: `${this.basePath}/download/template${QsUtil.stringify(query)}`,
    method: 'GET',
    responseType: 'blob'
  })

  confirmPay = (data) => this.api({
    url: `${this.basePath}/confirm/pay`,
    method: 'POST',
    data: data
  })

  confirmOrder = (data) => this.api({
    url: `${this.basePath}/confirm/order`,
    method: 'POST',
    data: data
  })

  update = (data) => this.api({
    url: `${this.basePath}/update`,
    method: 'PUT',
    data: data
  })

  constructor () {
    super('/tag/apply')
  }
}

export default new TagApplyApi()
