import qs from 'qs'

export default class QsUtil {
  /**
   * 将对象转为query字符串
   * @param query   query对象
   * @param prefix  返回的字符串需要拼上的前缀
   */
  static stringify (query, prefix = '?') {
    let queryString = qs.stringify(query)

    if (queryString) {
      queryString = `${prefix}${queryString}`
    }

    return queryString
  }

  /**
   * 将query字符串转为对象
   * @param queryString query字符串
   * @param prefix      输入的字符串的前缀
   */
  static parse (queryString, prefix = '?') {
    if (prefix) {
      queryString = queryString.replace(new RegExp(`^\\${prefix}`), '')
    }

    return qs.parse(queryString)
  }
}
